> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Digital Wallet Token

> Get the details about the digital wallet token of a card

NB: Digital wallet tokens cannot be created outside of production.




## OpenAPI

````yaml openapi-v1.json get /cards/digital_wallet_tokens/{digital_wallet_token_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /cards/digital_wallet_tokens/{digital_wallet_token_id}:
    summary: Digital Wallet Token
    description: >
      The Digital Wallet token object represents your card's digital wallet
      token(s).
    get:
      tags:
        - Digital Wallet Tokens
      summary: Get Digital Wallet Token
      description: |
        Get the details about the digital wallet token of a card

        NB: Digital wallet tokens cannot be created outside of production.
      operationId: getDigitalWalletToken
      parameters:
        - $ref: '#/components/parameters/digital_wallet_token_id'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/digital_wallet_token_response'
          description: Digital Wallet Token details
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    digital_wallet_token_id:
      in: path
      name: digital_wallet_token_id
      required: true
      schema:
        $ref: '#/components/schemas/digital_wallet_token_id'
  schemas:
    digital_wallet_token_response:
      properties:
        approved_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        card_id:
          description: Card ID of the Digital wallet Token
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        device:
          $ref: '#/components/schemas/device'
        device_id:
          deprecated: true
          description: The user’s Android device ID; the device’s unique identifier.
          maxLength: 124
          type: string
        device_type:
          deprecated: true
          description: Type of the device where the Digital Wallet Token is used in
          enum:
            - APPLIANCE
            - GAMING_DEVICE
            - LAPTOP
            - MOBILE_PHONE
            - MOBILE_PHONE_OR_TABLET
            - TABLET
            - UNKNOWN
            - VEHICLE
            - WATCH
          type: string
        id:
          description: Digital Wallet Token ID
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        last_updated_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        processor_data:
          description: Raw data from processor.
          type: object
        removed_from_wallet_time:
          description: >-
            The time that the token was removed from a wallet. Tokens make
            remain active after being removed from a wallet.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        requested_time:
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/digital_wallet_token_state'
        tenant:
          $ref: '#/components/schemas/tenant_id'
        token_reference_id:
          description: >-
            Unique identifier of the digital wallet token within the card
            network.
          type: string
        type:
          description: >-
            Type of the Digital Wallet. Can be one of APPLE_PAY, ANDROID_PAY,
            SAMSUNG_PAY or something else when cards are added on file to a
            merchant.
          example: APPLE_PAY
          type: string
      required:
        - tenant
      type: object
    digital_wallet_token_id:
      description: The unique identifier of a digital wallet token
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    device:
      description: Contains device informations.
      properties:
        device_id:
          description: The user’s Android device ID; the device’s unique identifier.
          maxLength: 124
          type: string
        ip_address:
          description: IP address of the device.
          example: 1.12.123.255
          type: string
        location:
          description: Location of the device.
          example: +22.20/-159.50
          type: string
        name:
          description: Name of the device.
          type: string
        token:
          description: Unique identifier of the device
          type: string
        type:
          $ref: '#/components/schemas/device_type_response'
      type: object
    digital_wallet_token_state:
      description: Current status of the Digital Wallet Token
      enum:
        - ACTIVE
        - REQUESTED
        - REQUEST_DECLINED
        - SUSPENDED
        - TERMINATED
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    device_type_response:
      description: Type of the device where the Digital Wallet Token is used in
      enum:
        - APPLIANCE
        - GAMING_DEVICE
        - LAPTOP
        - MOBILE_PHONE
        - MOBILE_PHONE_OR_TABLET
        - TABLET
        - UNKNOWN_DEVICE
        - VEHICLE
        - WATCH
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````